Attribute VB_Name = "PreviewTestModule"

Option Explicit
Private Sub Test1()
Dim longstrings As String
longstrings = "Now is the time for all good men to come to the aid of their country.  The quick brown fox jumped over the lazy dog.  The rain in spain falls mainly on the plain.  The quick brown fox jumped over the lazy dog."
PreviewPrint1.PaperSize = 1
PreviewPrint1.Orientation = 2

PreviewPrint1.FontName = "Arial"
PreviewPrint1.FontSize = 12
PreviewPrint1.FontStrikethru = True
PreviewPrint1.CurrentX = 1000
PreviewPrint1.CurrentY = 1000
PreviewPrint1.PreviewText longstrings, False
PreviewPrint1.FontStrikethru = False
PreviewPrint1.CurrentX = 300
PreviewPrint1.CurrentY = 3000
PreviewPrint1.FontSize = 16
PreviewPrint1.FontUnderline = True
PreviewPrint1.FontName = "Times New Roman"
PreviewPrint1.FontBold = True
PreviewPrint1.FontItalic = True
PreviewPrint1.PreviewText "Some more text to look at", False
PreviewPrint1.PreviewCircle 2000, 2000, 1500
PreviewPrint1.PreviewLine 1000, 2000, 3000, 2200, QBColor(7), "BF"
PreviewPrint1.PreviewPSet 1000, 1500, 3, QBColor(4)
PreviewPrint1.NewPage
PreviewPrint1.FontName = "Arial"
PreviewPrint1.FontSize = 12
PreviewPrint1.FontStrikethru = True
PreviewPrint1.CurrentX = 1000
PreviewPrint1.CurrentY = 1000
PreviewPrint1.PreviewText "This is page 2 of the test", False
PreviewPrint1.FontStrikethru = False
PreviewPrint1.CurrentX = 300
PreviewPrint1.CurrentY = 3000
PreviewPrint1.FontSize = 16
PreviewPrint1.FontUnderline = True
PreviewPrint1.FontName = "Times New Roman"
PreviewPrint1.FontBold = True
PreviewPrint1.FontItalic = True
PreviewPrint1.PreviewText "Some more text to look at on page 2", False
PreviewPrint1.PreviewCircle 2000, 2000, 1500, QBColor(4)
PreviewPrint1.PreviewLine 1000, 2000, 3000, 2400, QBColor(4), "B"
PreviewPrint1.PreviewPSet 1000, 1500, 3, QBColor(4)

PreviewPrint1.FontUnderline = False
End Sub
Private Sub Realtest(TitlePage As String)
Dim textstring As String, textlength As Single
Dim i As Integer, j As Integer, cx As Single, cy As Single
Dim entry As String

Const TwipsAre = 1440
PreviewPrint1.PaperSize = 1
PreviewPrint1.Orientation = 1
PreviewPrint1.FontName = "Times New Roman"
PreviewPrint1.FontSize = 14
PreviewPrint1.ForeColor = QBColor(4)
PreviewPrint1.CurrentY = 1 * TwipsAre

PreviewPrint1.FontBold = True
textstring = "This is the title of the table"
textlength = PreviewPrint1.PreviewTextWidth(textstring)
PreviewPrint1.CurrentX = 4 * TwipsAre - textlength / 2
PreviewPrint1.PreviewText textstring, True
'
textlength = PreviewPrint1.PreviewTextWidth(TitlePage)
PreviewPrint1.CurrentX = 4 * TwipsAre - textlength / 2
PreviewPrint1.PreviewText TitlePage, True

' now, make several lines of columns of width 1"

PreviewPrint1.ForeColor = QBColor(0)
PreviewPrint1.FontSize = 8
PreviewPrint1.FontBold = False
PreviewPrint1.FontItalic = True

cy = PreviewPrint1.CurrentY
Dim ff As New StdFont
For i = 0 To 25 ' i = rows
'    ff.Name = Printer.Fonts(i)
    'PreviewPrint1.FontName = Printer.Fonts(i + 4)
    'Debug.Print i, PreviewPrint1.FontName
    
    textstring = "Row" & Str$(i)
    cy = cy + PreviewPrint1.PreviewTextHeight(textstring)
    PreviewPrint1.CurrentY = cy
    For j = 0 To 6
       entry = textstring & "Col" & Str$(j)
       PreviewPrint1.CurrentX = (1.5 + j) * TwipsAre - PreviewPrint1.PreviewTextWidth(entry)
       PreviewPrint1.PreviewText entry, False
    Next j
Next i
cy = cy + 0.35 * TwipsAre
cx = 0.5 * TwipsAre

PreviewPrint1.PreviewLine cx, cy, 8 * TwipsAre, cy, , "B"
textstring = "This is a line of text below the line"
cy = cy + 1.5 * PreviewPrint1.PreviewTextHeight(textstring)
cx = 0.5 * TwipsAre
PreviewPrint1.CurrentX = cx
PreviewPrint1.CurrentY = cy
PreviewPrint1.PreviewText textstring, False

Set ff = Nothing

End Sub




Public Sub DrivePreview()

Test1
PreviewPrint1.NewPage
 Realtest "Page 1"
  PreviewPrint1.NewPage
  Realtest "Page 2"
  PreviewPrint1.NewPage
  Realtest "Page 3"
  PreviewPrint1.NewPage
  Test1
  PreviewPrint1.NewPage

PreviewPrint1.EndDocument

End Sub

Public Sub LastTest()
 Dim longstrings As String
 longstrings = "Now is the time for all good men to come to the aid of their country.  The quick brown fox jumped over the lazy dog.  The rain in spain falls mainly on the plain.  The quick brown fox jumped over the lazy dog."
 PreviewPrint1.PaperSize = 1
 PreviewPrint1.Orientation = 2
 PreviewPrint1.ForeColor = QBColor(4)
  PreviewPrint1.FontName = "Arial"
  PreviewPrint1.FontSize = 12
  PreviewPrint1.FontStrikethru = True
 PreviewPrint1.CurrentX = 1000
 PreviewPrint1.CurrentY = 1000
 PreviewPrint1.PreviewText longstrings, False
  PreviewPrint1.FontStrikethru = False
  PreviewPrint1.FontName = "Playbill"
 PreviewPrint1.CurrentX = 1000
 PreviewPrint1.CurrentY = 1400
 PreviewPrint1.PreviewText longstrings, False
 PreviewPrint1.CurrentX = 300
 PreviewPrint1.CurrentY = 3000
  PreviewPrint1.FontSize = 16
  PreviewPrint1.FontUnderline = True
  PreviewPrint1.FontName = "Times New Roman"
  PreviewPrint1.FontBold = True
  PreviewPrint1.FontItalic = True
 PreviewPrint1.PreviewText "Some more text to look at", False
 PreviewPrint1.PreviewCircle 2000, 2000, 1500, QBColor(4)
 PreviewPrint1.PreviewLine 1000, 2000, 3000, 2200, QBColor(6), "BF"
 PreviewPrint1.PreviewPSet 1000, 1500, 3, QBColor(4)
 PreviewPrint1.NewPage
  PreviewPrint1.FontName = "Arial"
  PreviewPrint1.FontSize = 12
  PreviewPrint1.FontStrikethru = True
 PreviewPrint1.CurrentX = 1000
 PreviewPrint1.CurrentY = 1000
 PreviewPrint1.PreviewText "This is page 2 of the test", False
  PreviewPrint1.FontStrikethru = False
 PreviewPrint1.CurrentX = 300
 PreviewPrint1.CurrentY = 3000
  PreviewPrint1.FontSize = 16
  PreviewPrint1.FontUnderline = True
  PreviewPrint1.FontName = "Times New Roman"
  PreviewPrint1.FontBold = True
  PreviewPrint1.FontItalic = True
 PreviewPrint1.PreviewText "Some more text to look at on page 2", False
 PreviewPrint1.PreviewCircle 2000, 2000, 1500
 PreviewPrint1.PreviewLine 1000, 2000, 3000, 2000, 0
 PreviewPrint1.PreviewPSet 1000, 1500, 3, QBColor(4)

End Sub
